# MSP::CCS::UTMCoordinates Class Reference

`#include <UTMCoordinates.h>`

Inheritance diagram for MSP::CCS::UTMCoordinates:

List of all members.

## Public Member Functions

| UTMCoordinates ()
| UTMCoordinates (CoordinateType::Enum _coordinateType)
| UTMCoordinates (CoordinateType::Enum _coordinateType, long __zone, char __hemisphere, double __easting, double __northing)
| UTMCoordinates (CoordinateType::Enum _coordinateType, const char *__warningMessage, long __zone, char __hemisphere, double __easting, double __northing)
| UTMCoordinates (const UTMCoordinates &c)
| ~UTMCoordinates ()
UTMCoordinates & | operator= (const UTMCoordinates &c)
void | set (long __zone, char __hemisphere, double __easting, double __northing)
void | setZone (long __zone)
long | zone () const
void | setHemisphere (char __hemisphere)
char | hemisphere () const
void | setEasting (double __easting)
double | easting () const
void | setNorthing (double __northing)
double | northing () const

## Detailed Description

Definition at line 15 of file UTMCoordinates.h.

## Constructor & Destructor Documentation

UTMCoordinates::UTMCoordinates | ( |  | ) |

Definition at line 10 of file UTMCoordinates.cpp.

UTMCoordinates::UTMCoordinates | ( | CoordinateType::Enum | _coordinateType | ) |

Definition at line 20 of file UTMCoordinates.cpp.

UTMCoordinates::UTMCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | long | __zone,
|  | char | __hemisphere,
|  | double | __easting,
|  | double | __northing |
| ) |  |  |

Definition at line 30 of file UTMCoordinates.cpp.

UTMCoordinates::UTMCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __warningMessage,
|  | long | __zone,
|  | char | __hemisphere,
|  | double | __easting,
|  | double | __northing |
| ) |  |  |

Definition at line 40 of file UTMCoordinates.cpp.

UTMCoordinates::UTMCoordinates | ( | const UTMCoordinates & | c | ) |

Definition at line 53 of file UTMCoordinates.cpp.

UTMCoordinates::~UTMCoordinates | ( |  | ) |

Definition at line 68 of file UTMCoordinates.cpp.

## Member Function Documentation

double UTMCoordinates::easting | ( |  | ) | const

Definition at line 132 of file UTMCoordinates.cpp.

char UTMCoordinates::hemisphere | ( |  | ) | const

Definition at line 120 of file UTMCoordinates.cpp.

double UTMCoordinates::northing | ( |  | ) | const

Definition at line 144 of file UTMCoordinates.cpp.

UTMCoordinates & UTMCoordinates::operator= | ( | const UTMCoordinates & | c | ) |

Reimplemented from MSP::CCS::CoordinateTuple.

Definition at line 73 of file UTMCoordinates.cpp.

void UTMCoordinates::set | ( | long | __zone,
|  | char | __hemisphere,
|  | double | __easting,
|  | double | __northing |
| ) |  |  |

Definition at line 93 of file UTMCoordinates.cpp.

void UTMCoordinates::setEasting | ( | double | __easting | ) |

Definition at line 126 of file UTMCoordinates.cpp.

void UTMCoordinates::setHemisphere | ( | char | __hemisphere | ) |

Definition at line 114 of file UTMCoordinates.cpp.

void UTMCoordinates::setNorthing | ( | double | __northing | ) |

Definition at line 138 of file UTMCoordinates.cpp.

void UTMCoordinates::setZone | ( | long | __zone | ) |

Definition at line 102 of file UTMCoordinates.cpp.

long UTMCoordinates::zone | ( |  | ) | const

Definition at line 108 of file UTMCoordinates.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/UTMCoordinates.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/UTMCoordinates.cpp